Subject: bug#21458: closed (Re: bug#19452: status?)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Dec 2016 09:56:02 +0000

Your bug report

#19452: sql-connect: (setting-constant nil)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19452: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19452
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19452: status?
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 02 Dec 2016 11:55:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 29 Nov 2016 22:01:42 +0100
> From: [email-masked]
> 
> Just wondering why it's still not fixed.
> Incorrect patch?

Thanks for the reminder, I pushed the patch to the master branch.

Subject: sql-connect: (setting-constant nil)
From: Manuel Uberti - Boccaperta <[email-masked]>
To: [email-masked]
Date: Fri, 11 Sep 2015 15:26:19 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I am on GNU Emacs 25.0.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.16.6) of
2015-09-11.

In 'emacs- Q', I do:

- M-x sql-connect RET
- Type in 'boccaperta' (without quotes, only connection I have saved in
  custom.el), and then hit RET

This is the error I see with toggle-debug-on-error enabled:

Debugger entered--Lisp error: (setting-constant nil)
(let ((nil (quote nil))) (sql-product-interactive (quote postgres) (quote nil)))
eval((let ((nil (quote nil))) (sql-product-interactive (quote postgres) (quote
nil))))
sql-connect("boccaperta" nil)
funcall-interactively(sql-connect "boccaperta" nil)
call-interactively(sql-connect nil nil)
command-execute(sql-connect)

This only happens the first time I use sql-connect. If I do it again, I
can connect to my DB.

--
Manuel Uberti
informatica.boccaperta.com